Skip to main content
GET
/
members
/
{member_guid}
/
challenges
List member challenges
curl --request GET \
  --url https://int-data.moneydesktop.com/members/{member_guid}/challenges \
  --header 'MD-SESSION-TOKEN: <api-key>'
{ "challenges": [ { "type": "TEXT", "field_name": "What city were you born in?", "guid": "CRD-22f1b144-dde6-4c80-9d98-ca3c4900d173", "label": "What city were you born in?" } ] }
When a member has been challenged by multi-factor authentication, this endpoint allows you to read the specific challenges that must be answered. It returns an array of credentials. Best practice is to use this endpoint to list challenges that need to be answered; however, MX continues to support partners who use the mfa credentials endpoint for that purpose.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

member_guid
string
required

The unique identifier for the member. Defined by MX.

Response

200 - application/vnd.mx.nexus.v1+json

Successful response with challenges

member
object[]